curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_sections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_sections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_section",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Section 001",
"display_name": "<string>",
"sis_course_id": "CS-101-A-2026FA",
"starts_at": "<string>",
"ends_at": "<string>"
},
"relationships": {
"course": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_course",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"term": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_term",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"instructors": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_instructor",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"students": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_student",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"evaluations": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List course evaluation sections
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_sections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_sections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_section",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Section 001",
"display_name": "<string>",
"sis_course_id": "CS-101-A-2026FA",
"starts_at": "<string>",
"ends_at": "<string>"
},
"relationships": {
"course": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_course",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"term": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_term",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"instructors": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_instructor",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"students": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_student",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"evaluations": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: course, term, instructors, students, evaluations
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, name, starts_at, ends_at
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, name, name.neq, name.cont (case-insensitive substring match), name.in (list of values, comma-separated), name.nin (list of values, comma-separated), sis_course_id, sis_course_id.neq, sis_course_id.cont (case-insensitive substring match), sis_course_id.in (list of values, comma-separated), sis_course_id.nin (list of values, comma-separated), starts_at, starts_at.neq, starts_at.lt, starts_at.lte, starts_at.gt, starts_at.gte, ends_at, ends_at.neq, ends_at.lt, ends_at.lte, ends_at.gt, ends_at.gte, course, term, instructors, students, evaluations.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page